API Documentation
Toggle TOC panel
<access-service>/api/v1/dashboard/organisations

URL structure

1 https://access-service.xy-company.com/api/v1/dashboard/organisations

Supported methods and overview

  • GET - used to retrieve a summary of information about the utilization of Covata users' storage managed by the Covata Platform (based on percentage bands of their utilized quota).

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a summary of information about the utilization of Covata users' storage managed by the Covata Platform based on percentage bands of their utilized quota.

Only users with the Originator role are returned in the response to this API endpoint, because users with this role have a plan and quota which allows them to utilize the Covata Platform to store their own data.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • totalUsersWithOwnerRole - .
  • breakdown - An array containing information about each percentage band of Covata users' quota utilization. Each element of this array contains information about one of these percentage bands and is represented as an object, containing the following members:

    • quotaUsage - .
    • userCount - .
    • percentUsers - .

    Example (response from ...):